Imagick::setImagePage
Imagick::setImageProperty
The Imagick class
PHP Manual

# Imagick::setImageProfile

(No version information available, might be only in CVS)

Imagick::setImageProfile — Adds a named profile to the Imagick object

### Description

bool Imagick::setImageProfile ( string `$name` , string `$profile` )
Warning

This function is currently not documented; only its argument list is available.

Adds a named profile to the Imagick object. If a profile with the same name already exists, it is replaced. This method differs from the Imagick::ProfileImage() method in that it does not apply any CMS color profiles.

### Parameters

`name`

`profile`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::setImagePage
Imagick::setImageProperty
The Imagick class
PHP Manual